Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-amd64
Navigation:
Lists: gentoo-amd64: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-amd64@g.o
From: Mickaël Bucas <mbucas@...>
Subject: Re: nvidia-kernel compile problem
Date: Tue, 15 Nov 2005 17:46:58 +0100
On <a href="http://www.nvidia.com/object/linux_display_amd64_1.0-7676.html">http://www.nvidia.com/object/linux_display_amd64_1.0-7676.html</a> you will find the latest version (7676).<br>
<br>
That's the one I use, it works for me, but I installed it manually (i.e. no emerge)<br>
And I don't use Gentoo Kernel either...<br>
<br>
I also had problems with 32 bit compatibility libraries, they overwrite
64 bit libs and prevent display from working. Try to not install them.<br>
<br>
Mickaël Bucas<br>
<br><div><span class="gmail_quote">2005/11/15, Sebastian Zaffarano &lt;<a href="mailto:hermetica@...">hermetica@...</a>&gt;:</span><blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">
Hi, after do an emerge world and update my kernel to 2.6.13-gentoo-r5,<br>I'm get an error when I try to compile nvidia-kernel:<br><br>............................................................................................................
<br>x86_64-1.0-7667-pkg2/usr/src/nv/nv-vm.o<br>/var/tmp/portage/nvidia-kernel-1.0.7667/work/NVIDIA-Linux-x86_64-1.0-7667-pkg2/usr/src/nv/nv-vm.c<br>/var/tmp/portage/nvidia-kernel-1.0.7667/work/NVIDIA-Linux-x86_64-1.0-7667-pkg2
/usr/src/nv/nv-vm.c:<br>In function `nv_vm_malloc_pages':<br>/var/tmp/portage/nvidia-kernel-1.0.7667/work/NVIDIA-Linux-x86_64-1.0-7667-pkg2/usr/src/nv/nv-vm.c:283:<br>error: too few arguments to function `vmap'<br>make[3]: *** [/var/tmp/portage/nvidia-
kernel-1.0.7667/work/NVIDIA-Linux-x86_64-1.0-7667-pkg2/usr/src/nv/nv-vm.o]<br>Error 1<br>make[2]: *** [_module_/var/tmp/portage/nvidia-kernel-1.0.7667/work/NVIDIA-Linux-x86_64-1.0-7667-pkg2/usr/src/nv]<br>Error 2<br>NVIDIA: left KBUILD.
<br>nvidia.ko failed to build!<br>make[1]: *** [module] Error 1<br>make: *** [module] Error 2<br>............................................................................................................<br><br>I'm using:
<br><br>* gcc 3.4.4-r1<br>* glibc 2.3.5-r3<br><br>and the nvidia-kernel versions that fail, are 1.0.7* (7167-r1, 7174, etc).<br><br>Any ideas?<br><br>thanks!<br>Sebastian<br><br>--<br><a href="mailto:gentoo-amd64@g.o">
gentoo-amd64@g.o</a> mailing list<br><br></blockquote></div><br>
Replies:
Re: nvidia-kernel compile problem
-- Sebastian Zaffarano
References:
nvidia-kernel compile problem
-- Sebastian Zaffarano
Navigation:
Lists: gentoo-amd64: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
nvidia-kernel compile problem
Next by thread:
Re: nvidia-kernel compile problem
Previous by date:
Re: gentoo-amd64+unsubscribe@g.o
Next by date:
[no subject]


Updated Jun 17, 2009

Summary: Archive of the gentoo-amd64 mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.